Claim Labeling Task
Claim the next task in a lane.
Path Parameters
project_id*string
Format
uuidHeader Parameters
x-workspace-id?|
Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).
Request Body
application/json
lane*string
Task lane to claim from: 'task' or 'review'
Value in
"task" | "review"Response Body
application/json
application/json
curl -X POST "https://loading/v1/labeling-projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks/claim" \ -H "Content-Type: application/json" \ -d '{ "lane": "task" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",
"status": "string",
"source_task_id": "b35bfd1f-7440-4b82-b05a-344d469d1482",
"sequence_number": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"submitted_at": "2019-08-24T14:15:22Z",
"active_duration_seconds": 0,
"labeling_evaluations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"task_id": "736fde4d-9029-4915-8189-01353d6982cb",
"message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",
"creator_user_id": "7cd45191-9c6d-4e03-9d6c-fdf3d3c08277",
"creator_model_config": "string",
"origin_evaluation_id": "1b17c93e-2363-4a4e-b82c-827c25eb3518",
"parent_labeling_evaluation_id": "f13e9774-1ded-43f9-9cc9-71f31def7644",
"labeling_annotations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324",
"origin_annotation_id": "09ad872c-fa7e-4756-bb97-ffa5bf6d364d",
"parent_labeling_annotation_id": "89d055e7-159c-46f3-aea4-2ec38e987b53",
"status": "string",
"start_offset": 0,
"end_offset": 0,
"label": "string",
"text": "string",
"explanation": "string",
"message_part_index": 0,
"reviewed": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}